diff --git a/gcc/tree-vect-loop.c b/gcc/tree-vect-loop.c
index 49b2f8a..a7c036e 100644
--- a/gcc/tree-vect-loop.c
+++ b/gcc/tree-vect-loop.c
@@ -157,7 +157,7 @@ along with GCC; see the file COPYING3.  If not see
 
 static void vect_estimate_min_profitable_iters (loop_vec_info, int *, int *);
 
-bool thing_enabled_p ()
+bool optinfo_enabled_p ()
 {
   return dump_enabled_p () || optimization_record_enabled_p ();
 }
@@ -254,7 +254,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
   bool bool_result;
   auto_vec<stmt_vec_info> mask_producers;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
                      "=== vect_determine_vectorization_factor ===");
 
@@ -267,7 +267,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 	{
 	  phi = si.phi ();
 	  stmt_info = vinfo_for_stmt (phi);
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK, "==> examining phi: ");
 	      dump_gimple_stmt (MSG_NOTE, TDF_SLIM, phi, 0);
@@ -281,7 +281,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 	      gcc_assert (!STMT_VINFO_VECTYPE (stmt_info));
               scalar_type = TREE_TYPE (PHI_RESULT (phi));
 
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_REMARK,
                                    "get vectype for scalar type:  ");
@@ -292,7 +292,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 	      vectype = get_vectype_for_scalar_type (scalar_type);
 	      if (!vectype)
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    {
 		      vect_location_writeln (OPT_RECORD_FAILURE,
                                        "not vectorized: unsupported "
@@ -305,14 +305,14 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 		}
 	      STMT_VINFO_VECTYPE (stmt_info) = vectype;
 
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_REMARK, "vectype: ");
 		  dump_generic_expr (MSG_NOTE, TDF_SLIM, vectype);
                   dump_printf (MSG_NOTE, "\n");
 		}
 
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_REMARK, "nunits = ");
 		  dump_dec (MSG_NOTE, TYPE_VECTOR_SUBPARTS (vectype));
@@ -335,7 +335,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 
           stmt_info = vinfo_for_stmt (stmt);
 
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
                                "==> examining statement: ");
@@ -356,7 +356,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
                 {
                   stmt = pattern_stmt;
                   stmt_info = vinfo_for_stmt (pattern_stmt);
-                  if (thing_enabled_p ())
+                  if (optinfo_enabled_p ())
                     {
                       vect_location_writeln (OPT_RECORD_REMARK,
                                        "==> examining pattern statement: ");
@@ -365,7 +365,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
                 }
               else
 	        {
-	          if (thing_enabled_p ())
+	          if (optinfo_enabled_p ())
 	            vect_location_writeln (OPT_RECORD_REMARK, "skip.\n");
                   gsi_next (&si);
 	          continue;
@@ -405,7 +405,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 
 		  if (!gsi_end_p (pattern_def_si))
 		    {
-		      if (thing_enabled_p ())
+		      if (optinfo_enabled_p ())
 			{
 			  vect_location_writeln (OPT_RECORD_REMARK,
                                            "==> examining pattern def stmt: ");
@@ -445,7 +445,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 		    }
 		  continue;
 		}
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 	          vect_location_writeln (OPT_RECORD_FAILURE,
                                    "not vectorized: irregular stmt.");
@@ -457,7 +457,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 
 	  if (VECTOR_MODE_P (TYPE_MODE (gimple_expr_type (stmt))))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 	        {
 	          vect_location_writeln (OPT_RECORD_FAILURE,
                                    "not vectorized: vector stmt in loop:");
@@ -515,7 +515,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 		    }
 		}
 
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_REMARK,
                                    "get vectype for scalar type:  ");
@@ -525,7 +525,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 	      vectype = get_vectype_for_scalar_type (scalar_type);
 	      if (!vectype)
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    {
 		      vect_location_writeln (OPT_RECORD_FAILURE,
                                        "not vectorized: unsupported "
@@ -540,7 +540,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 	      if (!bool_result)
 		STMT_VINFO_VECTYPE (stmt_info) = vectype;
 
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_REMARK, "vectype: ");
 		  dump_generic_expr (MSG_NOTE, TDF_SLIM, vectype);
@@ -560,7 +560,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 	      if (!bool_result)
 		scalar_type = vect_get_smallest_scalar_type (stmt, &dummy,
 							     &dummy);
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_REMARK,
 				   "get vectype for scalar type:  ");
@@ -571,7 +571,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 	    }
 	  if (!vf_vectype)
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_FAILURE,
                                    "not vectorized: unsupported data-type ");
@@ -585,7 +585,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 	  if (maybe_ne (GET_MODE_SIZE (TYPE_MODE (vectype)),
 			GET_MODE_SIZE (TYPE_MODE (vf_vectype))))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_FAILURE,
                                    "not vectorized: different sized vector "
@@ -600,14 +600,14 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 	      return false;
 	    }
 
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK, "vectype: ");
 	      dump_generic_expr (MSG_NOTE, TDF_SLIM, vf_vectype);
               dump_printf (MSG_NOTE, "\n");
 	    }
 
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK, "nunits = ");
 	      dump_dec (MSG_NOTE, TYPE_VECTOR_SUBPARTS (vf_vectype));
@@ -625,7 +625,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
     }
 
   /* TODO: Analyze cost. Decide if worth while to vectorize.  */
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_REMARK, "vectorization factor = ");
       dump_dec (MSG_NOTE, vectorization_factor);
@@ -634,7 +634,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 
   if (known_le (vectorization_factor, 1U))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_FAILURE,
 			       "not vectorized: unsupported data-type");
       return false;
@@ -657,7 +657,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 
 	  if (!mask_type)
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				       "not vectorized: unsupported mask");
 	      return false;
@@ -675,7 +675,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 	      if (!vect_is_simple_use (rhs, mask_producers[i]->vinfo,
 				       &def_stmt, &dt, &vectype))
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    {
 		      vect_location_writeln (OPT_RECORD_FAILURE,
 				       "not vectorized: can't compute mask type "
@@ -697,7 +697,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 	      else if (maybe_ne (TYPE_VECTOR_SUBPARTS (mask_type),
 				 TYPE_VECTOR_SUBPARTS (vectype)))
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    {
 		      vect_location_writeln (OPT_RECORD_FAILURE,
 				       "not vectorized: different sized masks "
@@ -714,7 +714,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 	      else if (VECTOR_BOOLEAN_TYPE_P (mask_type)
 		       != VECTOR_BOOLEAN_TYPE_P (vectype))
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    {
 		      vect_location_writeln (OPT_RECORD_FAILURE,
 				       "not vectorized: mixed mask and "
@@ -744,7 +744,7 @@ vect_determine_vectorization_factor (loop_vec_info loop_vinfo)
 	 if-conversion.  */
       if (!mask_type)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_FAILURE,
 			       "not vectorized: can't compute mask type "
@@ -789,7 +789,7 @@ vect_is_simple_iv_evolution (unsigned loop_nb, tree access_fn, tree * init,
   step_expr = evolution_part;
   init_expr = unshare_expr (initial_condition_in_loop_num (access_fn, loop_nb));
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_REMARK, "step: ");
       dump_generic_expr (MSG_NOTE, TDF_SLIM, step_expr);
@@ -811,7 +811,7 @@ vect_is_simple_iv_evolution (unsigned loop_nb, tree access_fn, tree * init,
       && (TREE_CODE (step_expr) != REAL_CST
 	  || !flag_associative_math))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_FAILURE,
 			       "step unknown");
       return false;
@@ -836,7 +836,7 @@ vect_analyze_scalar_cycles_1 (loop_vec_info loop_vinfo, struct loop *loop)
   gphi_iterator gsi;
   bool double_reduc;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
 			   "=== vect_analyze_scalar_cycles ===");
 
@@ -850,7 +850,7 @@ vect_analyze_scalar_cycles_1 (loop_vec_info loop_vinfo, struct loop *loop)
       tree def = PHI_RESULT (phi);
       stmt_vec_info stmt_vinfo = vinfo_for_stmt (phi);
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_REMARK, "Analyze phi: ");
 	  dump_gimple_stmt (MSG_NOTE, TDF_SLIM, phi, 0);
@@ -868,7 +868,7 @@ vect_analyze_scalar_cycles_1 (loop_vec_info loop_vinfo, struct loop *loop)
       if (access_fn)
 	{
 	  STRIP_NOPS (access_fn);
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
                                "Access function of PHI: ");
@@ -894,7 +894,7 @@ vect_analyze_scalar_cycles_1 (loop_vec_info loop_vinfo, struct loop *loop)
 		  != NULL_TREE);
       gcc_assert (STMT_VINFO_LOOP_PHI_EVOLUTION_PART (stmt_vinfo) != NULL_TREE);
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_REMARK, "Detected induction");
       STMT_VINFO_DEF_TYPE (stmt_vinfo) = vect_induction_def;
     }
@@ -908,7 +908,7 @@ vect_analyze_scalar_cycles_1 (loop_vec_info loop_vinfo, struct loop *loop)
       stmt_vec_info stmt_vinfo = vinfo_for_stmt (phi);
       gimple *reduc_stmt;
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         {
           vect_location_writeln (OPT_RECORD_REMARK, "Analyze phi: ");
           dump_gimple_stmt (MSG_NOTE, TDF_SLIM, phi, 0);
@@ -923,7 +923,7 @@ vect_analyze_scalar_cycles_1 (loop_vec_info loop_vinfo, struct loop *loop)
         {
           if (double_reduc)
             {
-              if (thing_enabled_p ())
+              if (optinfo_enabled_p ())
                 vect_location_writeln (OPT_RECORD_REMARK,
 				       "Detected double reduction");
 
@@ -935,7 +935,7 @@ vect_analyze_scalar_cycles_1 (loop_vec_info loop_vinfo, struct loop *loop)
             {
               if (loop != LOOP_VINFO_LOOP (loop_vinfo))
                 {
-                  if (thing_enabled_p ())
+                  if (optinfo_enabled_p ())
                     vect_location_writeln (OPT_RECORD_REMARK,
 					   "Detected vectorizable nested cycle");
 
@@ -945,7 +945,7 @@ vect_analyze_scalar_cycles_1 (loop_vec_info loop_vinfo, struct loop *loop)
                 }
               else
                 {
-                  if (thing_enabled_p ())
+                  if (optinfo_enabled_p ())
                     vect_location_writeln (OPT_RECORD_REMARK,
 					   "Detected reduction");
 
@@ -961,7 +961,7 @@ vect_analyze_scalar_cycles_1 (loop_vec_info loop_vinfo, struct loop *loop)
             }
         }
       else
-        if (thing_enabled_p ())
+        if (optinfo_enabled_p ())
           vect_location_writeln (OPT_RECORD_FAILURE,
 				 "Unknown def-use cycle pattern");
     }
@@ -1083,7 +1083,7 @@ vect_get_loop_niters (struct loop *loop, tree *assumptions,
   *assumptions = boolean_true_node;
   *number_of_iterationsm1 = chrec_dont_know;
   *number_of_iterations = chrec_dont_know;
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
 			   "=== get_loop_niters ===");
 
@@ -1524,7 +1524,7 @@ vect_analyze_loop_form_1 (struct loop *loop, gcond **loop_cond,
 			  tree *assumptions, tree *number_of_iterationsm1,
 			  tree *number_of_iterations, gcond **inner_loop_cond)
 {
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
 			   "=== vect_analyze_loop_form ===");
 
@@ -1548,7 +1548,7 @@ vect_analyze_loop_form_1 (struct loop *loop, gcond **loop_cond,
 
       if (loop->num_nodes != 2)
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             vect_location_writeln (OPT_RECORD_FAILURE,
 				   "not vectorized: control flow in loop");
           return false;
@@ -1556,7 +1556,7 @@ vect_analyze_loop_form_1 (struct loop *loop, gcond **loop_cond,
 
       if (empty_block_p (loop->header))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 				   "not vectorized: empty loop");
 	  return false;
@@ -1586,7 +1586,7 @@ vect_analyze_loop_form_1 (struct loop *loop, gcond **loop_cond,
 
       if ((loop->inner)->inner || (loop->inner)->next)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 				   "not vectorized: multiple nested loops");
 	  return false;
@@ -1594,7 +1594,7 @@ vect_analyze_loop_form_1 (struct loop *loop, gcond **loop_cond,
 
       if (loop->num_nodes != 5)
         {
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 				   "not vectorized: control flow in loop");
 	  return false;
@@ -1605,7 +1605,7 @@ vect_analyze_loop_form_1 (struct loop *loop, gcond **loop_cond,
 	  || !single_exit (innerloop)
 	  || single_exit (innerloop)->dest != EDGE_PRED (loop->latch, 0)->src)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 				   "not vectorized: unsupported outerloop form");
 	  return false;
@@ -1620,7 +1620,7 @@ vect_analyze_loop_form_1 (struct loop *loop, gcond **loop_cond,
 	     loop.  */
 	  || !integer_onep (inner_assumptions))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
             vect_location_writeln (OPT_RECORD_FAILURE,
 				   "not vectorized: bad inner loop");
 	  return false;
@@ -1628,14 +1628,14 @@ vect_analyze_loop_form_1 (struct loop *loop, gcond **loop_cond,
 
       if (!expr_invariant_in_loop_p (loop, inner_niter))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 				   "not vectorized: inner-loop count not"
 				   " invariant");
 	  return false;
 	}
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_REMARK,
 			       "Considering outer-loop vectorization");
     }
@@ -1643,7 +1643,7 @@ vect_analyze_loop_form_1 (struct loop *loop, gcond **loop_cond,
   if (!single_exit (loop)
       || EDGE_COUNT (loop->header->preds) != 2)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         {
           if (!single_exit (loop))
 	    vect_location_writeln (OPT_RECORD_FAILURE,
@@ -1662,7 +1662,7 @@ vect_analyze_loop_form_1 (struct loop *loop, gcond **loop_cond,
   if (!empty_block_p (loop->latch)
       || !gimple_seq_empty_p (phi_nodes (loop->latch)))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			       "not vectorized: latch block not empty");
       return false;
@@ -1672,7 +1672,7 @@ vect_analyze_loop_form_1 (struct loop *loop, gcond **loop_cond,
   edge e = single_exit (loop);
   if (e->flags & EDGE_ABNORMAL)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			       "not vectorized: abnormal loop exit edge");
       return false;
@@ -1682,7 +1682,7 @@ vect_analyze_loop_form_1 (struct loop *loop, gcond **loop_cond,
 				     number_of_iterationsm1);
   if (!*loop_cond)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			       "not vectorized: complicated exit condition");
       return false;
@@ -1692,7 +1692,7 @@ vect_analyze_loop_form_1 (struct loop *loop, gcond **loop_cond,
       || !*number_of_iterations
       || chrec_contains_undetermined (*number_of_iterations))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			       "not vectorized: number of iterations cannot be "
 			       "computed");
@@ -1701,7 +1701,7 @@ vect_analyze_loop_form_1 (struct loop *loop, gcond **loop_cond,
 
   if (integer_zerop (*number_of_iterations))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			       "not vectorized: number of iterations = 0");
       return false;
@@ -1751,7 +1751,7 @@ vect_analyze_loop_form (struct loop *loop)
 
   if (!LOOP_VINFO_NITERS_KNOWN_P (loop_vinfo))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         {
 #if 1
 	  emit_optinfo_at_vect_location (OPT_RECORD_REMARK)
@@ -1790,7 +1790,7 @@ vect_update_vf_for_slp (loop_vec_info loop_vinfo)
   poly_uint64 vectorization_factor;
   int i;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
 			   "=== vect_update_vf_for_slp ===");
 
@@ -1844,7 +1844,7 @@ vect_update_vf_for_slp (loop_vec_info loop_vinfo)
     }
 
   LOOP_VINFO_VECT_FACTOR (loop_vinfo) = vectorization_factor;
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_REMARK,
 		       "Updating vectorization factor to ");
@@ -1895,7 +1895,7 @@ vect_analyze_loop_operations (loop_vec_info loop_vinfo)
   bool need_to_vectorize = false;
   bool ok;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
 			   "=== vect_analyze_loop_operations ===");
 
@@ -1910,7 +1910,7 @@ vect_analyze_loop_operations (loop_vec_info loop_vinfo)
           ok = true;
 
           stmt_info = vinfo_for_stmt (phi);
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             {
               vect_location_writeln (OPT_RECORD_REMARK, "examining phi: ");
               dump_gimple_stmt (MSG_NOTE, TDF_SLIM, phi, 0);
@@ -1929,7 +1929,7 @@ vect_analyze_loop_operations (loop_vec_info loop_vinfo)
               if (STMT_VINFO_LIVE_P (stmt_info)
 		  && !vect_active_double_reduction_p (stmt_info))
                 {
-                  if (thing_enabled_p ())
+                  if (optinfo_enabled_p ())
 		    vect_location_writeln (OPT_RECORD_FAILURE,
 					   "Unsupported loop-closed phi in "
 					   "outer-loop");
@@ -1973,7 +1973,7 @@ vect_analyze_loop_operations (loop_vec_info loop_vinfo)
               && STMT_VINFO_DEF_TYPE (stmt_info) != vect_induction_def)
             {
               /* A scalar-dependence cycle that we don't support.  */
-              if (thing_enabled_p ())
+              if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				       "not vectorized: scalar dependence cycle");
               return false;
@@ -1999,7 +1999,7 @@ vect_analyze_loop_operations (loop_vec_info loop_vinfo)
 
           if (!ok)
             {
-              if (thing_enabled_p ())
+              if (optinfo_enabled_p ())
                 {
 		  vect_location_writeln (OPT_RECORD_FAILURE,
 				   "not vectorized: relevant phi not "
@@ -2027,10 +2027,10 @@ vect_analyze_loop_operations (loop_vec_info loop_vinfo)
      touching this loop.  */
   if (!need_to_vectorize)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_REMARK,
 			       "All the computation can be taken out of the loop");
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			       "not vectorized: redundant loop. no profit to "
 			       "vectorize");
@@ -2064,7 +2064,7 @@ vect_analyze_loop_costing (loop_vec_info loop_vinfo)
       if (max_niter != -1
 	  && (unsigned HOST_WIDE_INT) max_niter < assumed_vf)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 				   "not vectorized: iteration count smaller than "
 				   "vectorization factor");
@@ -2078,10 +2078,10 @@ vect_analyze_loop_costing (loop_vec_info loop_vinfo)
 
   if (min_profitable_iters < 0)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			       "not vectorized: vectorization not profitable");
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			       "not vectorized: vector version will never be "
 			       "profitable");
@@ -2101,10 +2101,10 @@ vect_analyze_loop_costing (loop_vec_info loop_vinfo)
   if (LOOP_VINFO_NITERS_KNOWN_P (loop_vinfo)
       && LOOP_VINFO_INT_NITERS (loop_vinfo) < th)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			       "not vectorized: vectorization not profitable");
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_REMARK,
 			       "not vectorized: iteration count smaller than user "
 			       "specified loop bound parameter or minimum profitable "
@@ -2119,11 +2119,11 @@ vect_analyze_loop_costing (loop_vec_info loop_vinfo)
       && ((unsigned HOST_WIDE_INT) estimated_niter
 	  < MAX (th, (unsigned) min_profitable_estimate)))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			       "not vectorized: estimated iteration count too "
 			       "small");
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_REMARK,
 			       "not vectorized: estimated iteration count smaller "
 			       "than specified loop bound parameter or minimum "
@@ -2161,7 +2161,7 @@ vect_analyze_loop_2 (loop_vec_info loop_vinfo, bool &fatal)
   loop_p loop = LOOP_VINFO_LOOP (loop_vinfo);
   if (!find_loop_nest (loop, &LOOP_VINFO_LOOP_NEST (loop_vinfo)))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			       "not vectorized: loop nest containing two "
 			       "or more consecutive inner loops cannot be "
@@ -2210,7 +2210,7 @@ vect_analyze_loop_2 (loop_vec_info loop_vinfo, bool &fatal)
 		      }
 		  }
 	      }
-	    if (thing_enabled_p ())
+	    if (optinfo_enabled_p ())
 	      vect_location_writeln (OPT_RECORD_FAILURE,
 				     "not vectorized: loop contains function "
 				     "calls or data references that cannot "
@@ -2225,7 +2225,7 @@ vect_analyze_loop_2 (loop_vec_info loop_vinfo, bool &fatal)
   ok = vect_analyze_data_refs (loop_vinfo, &min_vf);
   if (!ok)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			       "bad data references");
       return false;
@@ -2245,7 +2245,7 @@ vect_analyze_loop_2 (loop_vec_info loop_vinfo, bool &fatal)
   ok = vect_analyze_data_ref_accesses (loop_vinfo);
   if (!ok)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			       "bad data access");
       return false;
@@ -2256,7 +2256,7 @@ vect_analyze_loop_2 (loop_vec_info loop_vinfo, bool &fatal)
   ok = vect_mark_stmts_to_be_vectorized (loop_vinfo);
   if (!ok)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			       "unexpected pattern");
       return false;
@@ -2275,7 +2275,7 @@ vect_analyze_loop_2 (loop_vec_info loop_vinfo, bool &fatal)
       || (max_vf != MAX_VECTORIZATION_FACTOR
 	  && maybe_lt (max_vf, min_vf)))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "bad data dependence.\n");
       return false;
@@ -2285,7 +2285,7 @@ vect_analyze_loop_2 (loop_vec_info loop_vinfo, bool &fatal)
   ok = vect_determine_vectorization_factor (loop_vinfo);
   if (!ok)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "can't determine vectorization factor.\n");
       return false;
@@ -2293,7 +2293,7 @@ vect_analyze_loop_2 (loop_vec_info loop_vinfo, bool &fatal)
   if (max_vf != MAX_VECTORIZATION_FACTOR
       && maybe_lt (max_vf, LOOP_VINFO_VECT_FACTOR (loop_vinfo)))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "bad data dependence.\n");
       return false;
@@ -2334,7 +2334,7 @@ start_over:
   poly_uint64 vectorization_factor = LOOP_VINFO_VECT_FACTOR (loop_vinfo);
   gcc_assert (known_ne (vectorization_factor, 0U));
 
-  if (LOOP_VINFO_NITERS_KNOWN_P (loop_vinfo) && thing_enabled_p ())
+  if (LOOP_VINFO_NITERS_KNOWN_P (loop_vinfo) && optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_REMARK,
 		       "vectorization_factor = ");
@@ -2352,7 +2352,7 @@ start_over:
   ok = vect_analyze_data_refs_alignment (loop_vinfo);
   if (!ok)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "bad data alignment.\n");
       return false;
@@ -2374,7 +2374,7 @@ start_over:
     ok = vect_enhance_data_refs_alignment (loop_vinfo);
     if (!ok)
       {
-	if (thing_enabled_p ())
+	if (optinfo_enabled_p ())
 	  vect_location_writeln (OPT_RECORD_FAILURE,
 			   "bad data alignment.\n");
         return false;
@@ -2397,7 +2397,7 @@ start_over:
   ok = vect_analyze_loop_operations (loop_vinfo);
   if (!ok)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "bad operation or unsupported loop bound.\n");
       return false;
@@ -2408,7 +2408,7 @@ start_over:
   LOOP_VINFO_FULLY_MASKED_P (loop_vinfo)
     = (LOOP_VINFO_CAN_FULLY_MASK_P (loop_vinfo)
        && vect_verify_full_masking (loop_vinfo));
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       if (LOOP_VINFO_FULLY_MASKED_P (loop_vinfo))
 	vect_location_writeln (OPT_RECORD_REMARK,
@@ -2430,7 +2430,7 @@ start_over:
 
       if (known_lt (wi::to_widest (scalar_niters), vf))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_REMARK,
 			     "loop has no enough iterations to support"
 			     " peeling for gaps.\n");
@@ -2444,7 +2444,7 @@ start_over:
     goto again;
   if (!res)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "Loop costings not worthwhile.\n");
       return false;
@@ -2482,14 +2482,14 @@ start_over:
   if (LOOP_VINFO_PEELING_FOR_GAPS (loop_vinfo)
       || LOOP_VINFO_PEELING_FOR_NITER (loop_vinfo))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_REMARK, "epilog loop required\n");
       if (!vect_can_advance_ivs_p (loop_vinfo)
 	  || !slpeel_can_duplicate_loop_p (LOOP_VINFO_LOOP (loop_vinfo),
 					   single_exit (LOOP_VINFO_LOOP
 							 (loop_vinfo))))
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "not vectorized: can't create required "
 			     "epilog loop\n");
@@ -2577,7 +2577,7 @@ again:
 	}
     }
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
 		     "re-trying with SLP disabled\n");
 
@@ -2655,7 +2655,7 @@ vect_analyze_loop (struct loop *loop, loop_vec_info orig_loop_vinfo)
   targetm.vectorize.autovectorize_vector_sizes (&vector_sizes);
   unsigned int next_size = 0;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
 			   "===== analyze_loop_nest =====");
 
@@ -2663,7 +2663,7 @@ vect_analyze_loop (struct loop *loop, loop_vec_info orig_loop_vinfo)
       && loop_vec_info_for_loop (loop_outer (loop))
       && LOOP_VINFO_VECTORIZABLE_P (loop_vec_info_for_loop (loop_outer (loop))))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_REMARK,
 			 "outer-loop already vectorized.\n");
       return NULL;
@@ -2676,7 +2676,7 @@ vect_analyze_loop (struct loop *loop, loop_vec_info orig_loop_vinfo)
       loop_vinfo = vect_analyze_loop_form (loop);
       if (!loop_vinfo)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "bad loop form.\n");
 	  return NULL;
@@ -2710,7 +2710,7 @@ vect_analyze_loop (struct loop *loop, loop_vec_info orig_loop_vinfo)
 
       /* Try the next biggest vector size.  */
       current_vector_size = vector_sizes[next_size++];
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_REMARK,
 			   "***** Re-trying analysis with "
@@ -3013,7 +3013,7 @@ vect_is_slp_reduction (loop_vec_info loop_info, gimple *phi,
                                   == vect_internal_def
                       && !is_loop_header_bb_p (gimple_bb (def_stmt)))))
   	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_REMARK, "swapping oprnds: ");
 		  dump_gimple_stmt (MSG_NOTE, TDF_SLIM, next_stmt, 0);
@@ -3269,7 +3269,7 @@ vect_is_simple_reduction (loop_vec_info loop_info, gimple *phi,
 
       if (!flow_bb_inside_loop_p (loop, gimple_bb (use_stmt)))
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "intermediate value used outside loop.\n");
 
